Special Aircraft Service

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: DBW Makes IL2 Crash  (Read 174 times)

0 Members and 1 Guest are viewing this topic.

username22

  • member
  • Offline Offline
  • Posts: 14
DBW Makes IL2 Crash
« on: February 13, 2018, 08:34:30 PM »

Here is what I did:

(1) I upgraded IL2 to 4.12.2
(2) I installed SAS Modact 5.3
(3) I did a test run, works fine
(4) I downloaded Dark Blue World 1.1, part 1 & part 2
(5) I put both SAS_DBW folders in the main IL2 directory
(6) I put the contents of DBW\Missions\Campaign into IL2\Missions\Campaign
(7) I put the contents of DBW\Missions\QuickQMBPro into IL2\Missions\Quick
(8) I put all the contents of DBW\jsgmemods into IL2\jsgmemods
(9) I put the #DBW folder in the main IL2 directory
(10) I replaced the original il2fb.exe with the one in the DBW folder
(11) I made sure that all JSGME mods are deactivated
(12) I clicked on IL2 Selector and chose Dark Blue World
(13) I ran the game, and it began to load, then exited

I can't post the log file as it's too long, and it won't let me post external links, it begins as:

Code: [Select]
[3:29:38] INTERNAL ERROR: Can't open file 'gui/background4_ru.tga'
[3:29:38] WARNING: object 'gui/background4_ru.tga' of class 'TTexture2D' not loaded
[3:29:38] INTERNAL ERROR: Texture required
[3:29:38] WARNING: object 'gui/background4_ru.mat' of class 'TMaterial' not loaded
[3:29:38] ERROR sfs: SFS library (up_planes01.sfs) NOT Mounted: No such file or directory: up_planes01.sfs
[3:29:38] com.maddox.rts.SFSException: No such file or directory: up_planes01.sfs
[3:29:38] at com.maddox.rts.SFS.mount(Native Method)
[3:29:38] at com.maddox.rts.cmd.CmdSFS.exec(CmdSFS.java:35)
[3:29:38] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:29:38] at com.maddox.rts.cmd.CmdFile.exec(CmdFile.java:132)
[3:29:38] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:29:38] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:567)
[3:29:38] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:508)
[3:29:38] at com.maddox.il2.game.MainWin3D.beginApp(MainWin3D.java:212)
[3:29:38] at com.maddox.il2.game.Main.exec(Main.java:422)
[3:29:38] at com.maddox.il2.game.GameWin3D.main(GameWin3D.java:235)
[3:29:38] ERROR sfs: SFS library (up_planes02.sfs) NOT Mounted: No such file or directory: up_planes02.sfs
[3:29:38] com.maddox.rts.SFSException: No such file or directory: up_planes02.sfs
[3:29:38] at com.maddox.rts.SFS.mount(Native Method)
[3:29:38] at com.maddox.rts.cmd.CmdSFS.exec(CmdSFS.java:35)
[3:29:38] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:29:38] at com.maddox.rts.cmd.CmdFile.exec(CmdFile.java:132)
[3:29:38] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:29:38] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:567)
[3:29:38] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:508)
[3:29:38] at com.maddox.il2.game.MainWin3D.beginApp(MainWin3D.java:212)
[3:29:38] at com.maddox.il2.game.Main.exec(Main.java:422)
[3:29:38] at com.maddox.il2.game.GameWin3D.main(GameWin3D.java:235)

and it ends as

[3:29:39] INTERNAL ERROR: MeshObj: Can't load SIM 3DO/Effects/TaxingHelper/mono.sim
[3:29:39] Preload resource 3DO/Effects/TaxingHelper/mono.sim failed: Mesh 3DO/Effects/TaxingHelper/mono.sim not created
Logged

Captain Dawson

  • member
  • Offline Offline
  • Posts: 515
Re: DBW Makes IL2 Crash
« Reply #1 on: February 13, 2018, 09:19:18 PM »

Hi user,

I will defer to those more skilled than in in this matter, but I will start with the obvious.

DBW is intended for version 4.10, not 4.12. This is because it is an older modpack, so it was never updated to 4.12. The modders shouldn't have to remake and support each mod to be compatible with each new patch that comes out. So at a point, they just leave the pack at a certain version. 4.12.2 is currently the best version for modpacks (My opinion), because the vast majority of mods are compatible with this version. The newer packs like BAT, VP Modpack, and HSFX use 4.12.2. There are no modpacks for 4.13 as far as I know, and 4.13 adds negligible content IMO when compared to any of the modpacks.

Your first problem is probably that you are using the wrong version. No offense, I made the same mistakes starting out. Make sure to read the instructions very carefully and start again. I recommend starting from scratch to eliminate as many possible errors as possible.

Let us know if you have any questions and someone will be happy to assist you!
Logged
"It's totally foolproof, until you mess something up." -Captain Dawson My OP rig: CybertronPC Palladium custom desktop computer, GPU: NVidia GeForce GTX 1060 6GB GDDR5, CPU: Intel Core i5-6600K 3.5 GHz 6M Cache Skylake Quad-Core, RAM: 8.00 GB, Motherboard: Intel H110 Chipset, SSD: 240GB, HDD: 1TB, OS: Windows 10

username22

  • member
  • Offline Offline
  • Posts: 14
Re: DBW Makes IL2 Crash
« Reply #2 on: February 13, 2018, 09:57:59 PM »

Hi user,

I will defer to those more skilled than in in this matter, but I will start with the obvious.

DBW is intended for version 4.10, not 4.12. This is because it is an older modpack, so it was never updated to 4.12. The modders shouldn't have to remake and support each mod to be compatible with each new patch that comes out. So at a point, they just leave the pack at a certain version. 4.12.2 is currently the best version for modpacks (My opinion), because the vast majority of mods are compatible with this version. The newer packs like BAT, VP Modpack, and HSFX use 4.12.2. There are no modpacks for 4.13 as far as I know, and 4.13 adds negligible content IMO when compared to any of the modpacks.

Your first problem is probably that you are using the wrong version. No offense, I made the same mistakes starting out. Make sure to read the instructions very carefully and start again. I recommend starting from scratch to eliminate as many possible errors as possible.

Let us know if you have any questions and someone will be happy to assist you!

Thank you, that must probably be it. Initially I installed BAT, and it worked, but it brought way too much additions and IL-2 kind of lost it's feel, so I removed it. I only want certain airplanes to be flyable, like Ju-52, MBR-2, and others that I am familiar with but have been limited to AI.

Do you happen to know how I can install an aircraft without SAS Modact? I tried DBW because the Modact didn't work in the first place, it didn't let me control the aircraft or enter the cockpit
Logged

Captain Dawson

  • member
  • Offline Offline
  • Posts: 515
Re: DBW Makes IL2 Crash
« Reply #3 on: February 13, 2018, 10:08:32 PM »

Thank you, that must probably be it. Initially I installed BAT, and it worked, but it brought way too much additions and IL-2 kind of lost it's feel, so I removed it. I only want certain airplanes to be flyable, like Ju-52, MBR-2, and others that I am familiar with but have been limited to AI. So I'm not really looking for large packs, I'm trying to get only specific aircraft

If all you want is to fly AI aircraft, you can do that with just the SAS AI flyables pack with SAS 5.3 for 4.12.2:
 https://www.sas1946.com/main/index.php/topic,37662.0.html

If you want a smaller (compared to CUP)  selection of aircraft (Only 100 essential WWII planes added) and newer re-textured maps by Vpmedia, I highly recommend VP Modpack. It is a collection of the best combination of aircraft, maps, and effects mods, and it installs directly onto vanilla 4.12.2:
https://www.sas1946.com/main/index.php/topic,50919.0.html

It doesn't include nearly as much content as BAT, but it makes up for it in quality. This is the best pack for offline users who just want the full WWII experience.

I can manage over 30 FPS with 150+ aircraft missions in VP Modpack, not too shabby as far as modpacks go.
Logged
"It's totally foolproof, until you mess something up." -Captain Dawson My OP rig: CybertronPC Palladium custom desktop computer, GPU: NVidia GeForce GTX 1060 6GB GDDR5, CPU: Intel Core i5-6600K 3.5 GHz 6M Cache Skylake Quad-Core, RAM: 8.00 GB, Motherboard: Intel H110 Chipset, SSD: 240GB, HDD: 1TB, OS: Windows 10

username22

  • member
  • Offline Offline
  • Posts: 14
Re: DBW Makes IL2 Crash
« Reply #4 on: February 13, 2018, 10:12:06 PM »

Thank you, that must probably be it. Initially I installed BAT, and it worked, but it brought way too much additions and IL-2 kind of lost it's feel, so I removed it. I only want certain airplanes to be flyable, like Ju-52, MBR-2, and others that I am familiar with but have been limited to AI. So I'm not really looking for large packs, I'm trying to get only specific aircraft

If all you want is to fly AI aircraft, you can do that with just the SAS AI flyables pack with SAS 5.3 for 4.12.2:
 https://www.sas1946.com/main/index.php/topic,37662.0.html

If you want a smaller (compared to CUP)  selection of aircraft (Only 100 essential WWII planes added) and newer re-textured maps by Vpmedia, I highly recommend VP Modpack. It is a collection of the best combination of aircraft, maps, and effects mods, and it installs directly onto vanilla 4.12.2:
https://www.sas1946.com/main/index.php/topic,50919.0.html

It doesn't include nearly as much content as BAT, but it makes up for it in quality. This is the best pack for offline users who just want the full WWII experience.

I can manage over 30 FPS with 150+ aircraft missions in VP Modpack, not too shabby as far as modpacks go.

Thanks!
Logged
Pages: [1]   Go Up
 

Page created in 0.217 seconds with 21 queries.